PostgreSQL 8.4.0 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# dblink_is_busy

## Name

dblink_is_busy -- checks if connection is busy with an async query

## Synopsis

        dblink_is_busy(text connname) returns int

## Description

`dblink_is_busy` tests whether an async query is in progress.

## Arguments

`conname`

  Name of the connection to check.

## Return Value

Returns 1 if connection is busy, 0 if it is not busy. If this function returns 0, it is guaranteed that `dblink_get_result` will not block.

## Example

        SELECT dblink_is_busy('dtest1');

Prev | Home | Next
dblink_send_query | Up | dblink_get_result